cURL
User Profiles
Insert or update user profile data
Insert or update user profile data
PUT
cURL
Documentation Index
Fetch the complete documentation index at: https://docs.rownd.io/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
The publishable key of your application credentials. (more details)
The private secret of your application credentials. (more details)
Query Parameters
Should Rownd write the profile data changes to integrations attached to your application
Example:
true
Body
User profile attributes
Example:
{
"rownd:app_variants": ["app_variant_1", "app_variant_2"],
"myapp:subscription_status": ["active"],
"myapp:loyalty_points": ["100"]
}User profile data
Example:
{
"user_id": "user_a7b53gwdaml5jt7t71442nt7",
"email": "gary@foo.com",
"first_name": "Gary",
"last_name": "Jackson"
}Response
User profile updated successfully
The user's ID
Example:
"user_a7b53gwdaml5jt7t71442nt7"
The user's state
Available options:
enabled, disabled The user's authentication level
Example:
"verified"
User profile attributes
Example:
{
"rownd:app_variants": ["app_variant_1", "app_variant_2"],
"myapp:subscription_status": ["active"],
"myapp:loyalty_points": ["100"]
}User profile data
Example:
{
"user_id": "user_a7b53gwdaml5jt7t71442nt7",
"email": "gary@foo.com",
"first_name": "Gary",
"last_name": "Jackson"
}User profile data that has been verified
Example:
{
"email": "gary@foo.com",
"phone_number": "+19199993333"
}Groups in which the user is a member